Bug 135844 - system-config-securitylevel-tui crashes with a SIGSEV
system-config-securitylevel-tui crashes with a SIGSEV
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
Blocks: FC3Blocker
  Show dependency treegraph
Reported: 2004-10-15 07:35 EDT by Okke Timm
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-16 04:41:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ltrace output (8.87 KB, text/plain)
2004-10-15 07:39 EDT, Okke Timm
no flags Details
valgrind output (5.94 KB, text/plain)
2004-10-15 07:39 EDT, Okke Timm
no flags Details

  None (edit)
Description Okke Timm 2004-10-15 07:35:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1) Opera 
7.54  [de]

Description of problem:
When started the lokkit application crashes with a SIGSEV. In the 
"valgrind --tool=memcheck" environment the application works, but 
valgrind reports an error.

ltrace & valgrind logs are attached.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. system-config-securitylevel

Actual Results:  SIGSEV

Expected Results:  a nice screen with options to choose from

Additional info:
Comment 1 Okke Timm 2004-10-15 07:39:24 EDT
Created attachment 105270 [details]
ltrace output
Comment 2 Okke Timm 2004-10-15 07:39:58 EDT
Created attachment 105271 [details]
valgrind output
Comment 3 Bill Nottingham 2004-10-15 15:53:29 EDT
Dan: this appears to be in the handling of the --selinuxtype option:

                else if (rc == 4) {

Here it's trying to read from selinux_mode, which isn't set if that's passed.

If I'm reading the code right, I *think* we don't have to do anything for
--selinuxtype, since selinux_type is already set. Is that correct?
Comment 4 Daniel Walsh 2004-10-15 16:40:27 EDT
Fixed in system-config-securitylevel-1.4.12-1.

Now defaults to enforcing.

Note You need to log in before you can comment on or make changes to this bug.